Bug 134574 - New folder in applications:/// as root removes entire menu system for all non-root users
New folder in applications:/// as root removes entire menu system for all non...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-04 14:03 EDT by Matthew Mott
Modified: 2013-03-05 22:41 EST (History)
2 users (show)

See Also:
Fixed In Version: nautilus-2.10.0-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-13 09:49:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Mott 2004-10-04 14:03:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Attempted to create a new folder in the applications menu by logging
in as root, opening "applications:///" in nautilus and using the
Create Folder menu option.

Nautilus crashed, and no folder was generated.

On next boot, the entire menu structure, including panel icons, was
inaccessible to non-root users. A new user was created, and this new
user also had no access. Bringing up the "Run application" menu caused
gnome-panel to crash and restart. Root user had normal access.

This might suggest some kind of permissions issue, as if all of the
.desktop files were permissioned as inaccessible to non-root users by
the Create Folder command (or the subsequent crash).

Version-Release number of selected component (if applicable):
nautilus-2.6.0-4

How reproducible:
Didn't try (as the only way I could solve this problem was to
re-install Fedora, I have not attempted to reproduce for obvious reasons)

Steps to Reproduce:
1. Log on to GNOME as root
2. Open "applications:///" in nautilus
3. Select Create Folder
    

Actual Results:  Nautilus crashes, and the menu structure is removed
from non-root users.

Expected Results:  Either a new applications category should be
created in the menu structure (which was what I was attempting to
achieve), or if this cannot be supported, the Create Folder option
should be disabled or fail gracefully with an error message.

Additional info:
Comment 1 Alexander Larsson 2004-10-08 05:43:48 EDT
Vfolder bug. I thought we completely disabled vfolder editing?

Reassigning to gnome-vfs.
Comment 2 Matthew Miller 2005-04-26 11:14:42 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Matthew Mott 2005-08-13 09:49:18 EDT
applications:/// is no longer accepted in FC4, so I will close this bug as
CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.